package com.ruoyi.ibs.grid.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.List;

public class AnchorDetail implements Serializable {
    private long id;
    /**
     * 锚点编号。同客户编号，即证件类型
     */
    @Excel(name = "证件号")
    private String legalId;
    /**
     * 锚点名称。同客户名称，用户导入/图商返回
     */
    @Excel(name = "锚点名称")
    private String anchorName;
    /**
     * 客户类型，个人/商户/企业
     */
    @Excel(name = "客户类型")
    private String custType;
    /**
     * 所在行业。用户编辑输入/图商返回
     */
    @Excel(name = "所在行业")
    private String belongBusiness;
    /**
     * 锚点描述，用户在人工审核页填写的备注，在锚点编辑页填写的锚点备注
     */
    @Excel(name = "锚点备注")
    private String anchorRemark;
    /**
     * 锚点对应的所有地址
     */
    @Excel(name = "锚点地址")
    private List<AddressDetail> addressList;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getLegalId() {
        return legalId;
    }

    public void setLegalId(String legalId) {
        this.legalId = legalId;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }

    public String getAnchorRemark() {
        return anchorRemark;
    }

    public void setAnchorRemark(String anchorRemark) {
        this.anchorRemark = anchorRemark;
    }

    public List<AddressDetail> getAddressList() {
        return addressList;
    }

    public void setAddressList(List<AddressDetail> addressList) {
        this.addressList = addressList;
    }
}
